function mix = initsn4(mix0, p)
% initialize the parameters of sn mixtures when p>p_0;

mix = mix0;
mix.mu = mix0.mu + 0.1.*randn(mix0.order,1);
if p>mix0.order
    mix.order = p;
    temp =  unidrnd(mix0.order,p-mix0.order,1);
    mix.pi = zeros(p,1);
    T = [[1:mix0.order]' ; temp];
    for i=1:mix0.order
        tmp = T==i;
        mix.pi(tmp) = mix0.pi(i).*ones(sum(tmp),1)./sum(tmp);
    end
    mix.mu = [mix.mu ; mix0.mu(temp)+ 0.1.*randn(p-mix0.order,1)];
    mix.sig = [mix.sig ;  mix0.sig(temp)];
    mix.lam = [mix.lam ;  mix0.lam(temp)];
end





