clc
clear

% true parameters
mix0.order = 1;
mix0.mu = 0;
mix0.sig = 1; %variance
mix0.pi = 1;
niter = 5000;
Ndata = [50 100 250 350 500 1000];
Lamd = 1:10;

for j=1:3
datamat1 = cell(niter, length(Ndata));
datamat2 = cell(niter, length(Lamd));

for t1=1:length(Ndata)
    mix0.lam = 5;
    for i1=1:niter
        datamat1{i1,t1} = randsnm(Ndata(t1), mix0);
    end
end

for t2=1:length(Lamd)
    mix0.lam = Lamd(t2);
    for i2=1:niter
        datamat2{i2,t2} = randsnm(100, mix0);
    end
end

save(strcat('data0', num2str(j)));
end

