function res = snmpdf(data, mix)
% compute the pdf of snm with paramters in mix



Temp = bsxfun(@rdivide, bsxfun(@minus, data, mix.mu), sqrt(mix.sig));
Temp1 = bsxfun(@times, Temp, mix.lam);

res = bsxfun(@times, normpdf(Temp).*normcdf(Temp1), mix.pi./sqrt(mix.sig));
res = 2*sum(res,1);