function Post = gmmpost(data, mix)
% compute conditional expection in normal mixtures
% data is 1*n vector
% Post is K*n matrix

Temp = bsxfun(@rdivide, bsxfun(@minus, data, mix.mu).^2, mix.sig+realmin);
Temp1 = bsxfun(@plus, -0.5.*Temp, log(mix.pi+realmin)-0.5.*log(mix.sig+realmin));
maxt = max(Temp1,[],1);
post = exp(bsxfun(@minus,Temp1,maxt));
Post = bsxfun(@rdivide, post, sum(post,1));



