clc
clear

% parallel setting
%Due to huge amount of computation, it is wise to use more than 50 opretors 
%for parallel computing in model4.m

% load data
load data41

% settings
options = [1000 1e-6];
r=10;
mix0.lam = [0 0]';

Nn = length(Nsamp);
paratemp = cell(1,niter);
paratemp1 = paratemp;
paratemp2 = paratemp;
paratemp3 = paratemp;
paratemp4 = paratemp;
paratemp5 = paratemp;
paratemp6 = paratemp;
paratemp7 = paratemp;
parfor t=1:niter
    %t
  %random sample
  data1 = datamat1(t,:);
  data2 = datamat2(t,:);

  % true distribution
  [Logl, Mix, Nit, Lld] = gmmem(data1, mix0, options);
  paratemp{t} = Mix;
  [Logl1, Mix1, Nit1, Lld1] = gmmem(data2, mix0, options);
  paratemp1{t} = Mix1;
  [Logls, Mixs, Nits, Llds] = snmem(data1, mix0, options);
  paratemp2{t} = Mixs;
  [Logls1, Mixs1, Nits1, Llds1] = snmem(data2, mix0, options);
  paratemp3{t} = Mixs1;
  
  % kmeans
 Logmax = - realmax.*ones(1,4);
  for j = 1:r     
    mixint = gmminit(data1, 2); 
    [Loglk, Mixk, Nitk, Lldk] = gmmem(data1, mixint, options);
    if Loglk > Logmax(1)
      paratemp4{t} = Mixk;
      Logmax(1) = Loglk;
    end
    mixint1 = gmminit(data2, 2); 
    [Loglk1, Mixk1, Nitk1, Lldk1] = gmmem(data2, mixint1, options);
    if Loglk1 > Logmax(2)
      paratemp5{t} = Mixk1;
      Logmax(2) = Loglk1;
    end
    
    mixint2 = initsn1(data1, 2); 
    [Loglsk, Mixsk, Nitsk, Lldsk] = snmem(data1, mixint2, options);
    if Loglsk > Logmax(3)
      paratemp6{t} = Mixsk;
      Logmax(3) = Loglsk;
    end
    mixint3 =  initsn1(data2, 2); 
    [Loglsk1, Mixsk1, Nitsk1, Lldsk1] = snmem(data2, mixint3, options);
    if Loglsk1 > Logmax(4)
      paratemp7{t} = Mixsk1;
      Logmax(4) = Loglsk1;
    end
  end
  
end
 

% result analysis
paramat = zeros(niter, 6);
paramat1 = paramat;
paramat2 = paramat;
paramat3 = paramat;
paramat4 = zeros(niter, 8);
paramat5 = paramat4;
paramat6 = paramat4;
paramat7 = paramat4;
for h=1:niter
     paratemp{h} = labelswitch1(paratemp{h},mix0);
     paramat(h,:) = [paratemp{h}.mu' paratemp{h}.sig' paratemp{h}.pi'];
     
     paratemp1{h} = labelswitch1(paratemp1{h},mix0);
     paramat1(h,:) = [paratemp1{h}.mu' paratemp1{h}.sig' paratemp1{h}.pi'];
     
     paratemp4{h} = labelswitch1(paratemp4{h},mix0);
     paramat2(h,:) = [paratemp4{h}.mu' paratemp4{h}.sig' paratemp4{h}.pi'];
     
     paratemp5{h} = labelswitch1(paratemp5{h},mix0);
     paramat3(h,:) = [paratemp5{h}.mu' paratemp5{h}.sig' paratemp5{h}.pi'];
     
     paratemp2{h} = labelswitch1(paratemp2{h},mix0);
     paramat4(h,:) = [paratemp2{h}.mu' paratemp2{h}.sig' paratemp2{h}.lam' paratemp2{h}.pi'];
     
     paratemp3{h} = labelswitch1(paratemp3{h},mix0);
     paramat5(h,:) = [paratemp3{h}.mu' paratemp3{h}.sig' paratemp3{h}.lam' paratemp3{h}.pi'];
     
     paratemp6{h} = labelswitch1(paratemp6{h},mix0);
     paramat6(h,:) = [paratemp6{h}.mu' paratemp6{h}.sig' paratemp6{h}.lam' paratemp6{h}.pi'];
     
     paratemp7{h} = labelswitch1(paratemp7{h},mix0);
     paramat7(h,:) = [paratemp7{h}.mu' paratemp7{h}.sig' paratemp7{h}.lam' paratemp7{h}.pi'];
end

% table for stat
T1 = [min(min(paramat(:,[3 4]),[],1)) sum(sum(paramat(:,[3 4])<1e-10,1))
      min(min(paramat1(:,[3 4]),[],1)) sum(sum(paramat1(:,[3 4])<1e-10,1))
      min(min(paramat2(:,[3 4]),[],1)) sum(sum(paramat2(:,[3 4])<1e-10,1))
      min(min(paramat3(:,[3 4]),[],1)) sum(sum(paramat3(:,[3 4])<1e-10,1))];

T2 = [min(min(paramat4(:,[3 4]),[],1)) sum(sum(paramat4(:,[3 4])<1e-10,1))
      max(max(abs(paramat4(:,[5 6])),[],1)) sum(sum(abs(paramat4(:,[5 6]))>1e2,1))
      min(min(paramat5(:,[3 4]),[],1)) sum(sum(paramat5(:,[3 4])<1e-10,1))
      max(max(abs(paramat5(:,[5 6])),[],1)) sum(sum(abs(paramat5(:,[5 6]))>1e2,1))
      min(min(paramat6(:,[3 4]),[],1)) sum(sum(paramat6(:,[3 4])<1e-10,1))
      max(max(abs(paramat6(:,[5 6])),[],1)) sum(sum(abs(paramat6(:,[5 6]))>1e2,1))
      min(min(paramat7(:,[3 4]),[],1)) sum(sum(paramat7(:,[3 4])<1e-10,1))
      max(max(abs(paramat7(:,[5 6])),[],1)) sum(sum(abs(paramat7(:,[5 6]))>1e2,1))];
 
% table for bias and std
para0 = [mix0.mu' mix0.sig' 0 0 mix0.pi'];
bias0 = mean(bsxfun(@minus,paramat4,para0),1);
sd0 = sqrt(mean(bsxfun(@minus,paramat4,para0).^2,1));
bias1 = mean(bsxfun(@minus,paramat5,para0),1);
sd1 = sqrt(mean(bsxfun(@minus,paramat5,para0).^2,1));
tabl01 = [bias0' sd0' bias1' sd1'];

bias2 = mean(bsxfun(@minus,paramat6,para0),1);
sd2 = sqrt(mean(bsxfun(@minus,paramat6,para0).^2,1));
bias3 = mean(bsxfun(@minus,paramat7,para0),1);
sd3 = sqrt(mean(bsxfun(@minus,paramat7,para0).^2,1));
tabl02 = [bias2' sd2' bias3' sd3'];

% bias00 = mean(paramat(:,3:4)./(ones(niter,1)*para0(3:4)) - 1, 1);
% sd00 = sqrt(mean((paramat(:,3:4)./(ones(niter,1)*para0(3:4)) - 1).^2,1));
% bias01 = mean(paramat1(:,3:4)./(ones(niter,1)*para0(3:4)) - 1, 1);
% sd01 = sqrt(mean((paramat1(:,3:4)./(ones(niter,1)*para0(3:4)) - 1).^2,1));
% bias02 = mean(paramat2(:,3:4)./(ones(niter,1)*para0(3:4)) - 1, 1);
% sd02 = sqrt(mean((paramat2(:,3:4)./(ones(niter,1)*para0(3:4)) - 1).^2,1));
% bias03 = mean(paramat3(:,3:4)./(ones(niter,1)*para0(3:4)) - 1, 1);
% sd03 = sqrt(mean((paramat3(:,3:4)./(ones(niter,1)*para0(3:4)) - 1).^2,1));
% tabl03 = [bias00' sd00' bias01' sd01' 
%           bias02' sd02' bias03' sd03'];

      
clear datamat1 datamat2;
save res41

